/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package controller;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.logging.Level;
import java.util.logging.Logger;
import model.Transmitter;
import view.ChatView;

/**
 *
 * @author Apollo
 */
public class ConnectController implements ActionListener
{
  ChatView view;
  Transmitter model;
  int modus;
  
  public ConnectController(ChatView view,Transmitter model,int modus)
  {
    this.view = view;
    this.model = model;
    this.modus = modus;
    if(modus==0)
    {
      Thread chatter = new Thread(model);
      chatter.start();
    }
    try
    {
      String t;
      t = InetAddress.getLocalHost().getHostAddress();
      view.getTxteigeneIP().setText(t);
    }
    catch (UnknownHostException ex)
    {
      Logger.getLogger(ConnectController.class.getName()).log(Level.SEVERE, null, ex);
    }
    
  }
 public void registerEvents()
  {
    view.getBtnverbinden().addActionListener(this);
  }
  @Override
  public void actionPerformed(ActionEvent arg0)
  {
    if(modus == 1)
    {
    model.setIP_ADRESSE(view.getTxtzielIP().getText());
    Thread chatter = new Thread(model);
    chatter.start();
    }
    else
    {
      view.getChatanzeige().setText("Server kann sich nicht verbinden");
    }
  }
}

